Package org.eclipse.lemminx.services.extensions

## Enum ISymbolsProviderParticipant.SymbolStrategy

- java.lang.Object
- - java.lang.Enum<ISymbolsProviderParticipant.SymbolStrategy>
  - - org.eclipse.lemminx.services.extensions.ISymbolsProviderParticipant.SymbolStrategy

All Implemented Interfaces:
  `Serializable`, `Comparable<ISymbolsProviderParticipant.SymbolStrategy>`

Enclosing interface:
  ISymbolsProviderParticipant

    public static enum ISymbolsProviderParticipant.SymbolStrategy
    extends Enum<ISymbolsProviderParticipant.SymbolStrategy>

### Enum Constant Summary

Enum Constants
`INSERT`
`REPLACE`
`UNADAPTABLE`

### Method Summary

All Methods Static Methods Concrete Methods
`static ISymbolsProviderParticipant.SymbolStrategy` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static ISymbolsProviderParticipant.SymbolStrategy[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNADAPTABLE

    public static final ISymbolsProviderParticipant.SymbolStrategy UNADAPTABLE

#### INSERT

    public static final ISymbolsProviderParticipant.SymbolStrategy INSERT

#### REPLACE

    public static final ISymbolsProviderParticipant.SymbolStrategy REPLACE

### Method Detail

#### values

    public static ISymbolsProviderParticipant.SymbolStrategy[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ISymbolsProviderParticipant.SymbolStrategy c : ISymbolsProviderParticipant.SymbolStrategy.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ISymbolsProviderParticipant.SymbolStrategy valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null